### Method

# Spelling Provider get_display_name

#### Declaration [src]

    const char*
    spelling_provider_get_display_name (
      SpellingProvider* self
    )

#### Description [src]

Gets the display name of the provider, or `NULL` if undefined.

Gets property | `Spelling.Provider:display-name`

#### Return value

Type: `const char*`

The display name of the provider.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.